BCRANKmatch-class {BCRANK} | R Documentation

## Class "BCRANKmatch"

### Description

Holds the `bcrank` score for one IUPAC consensus sequence. Several objects of this class are collected in a `BCRANKsearch-class` object

### Objects from the Class

Objects are not intended to be created directly but as a result from running `bcrank`.

### Slots

`consensus`:
  consensus sequence in IUPAC coding
`bcrankScore`:
  bcrank score for the consensus

### Methods

consensus
  `signature(object = "BCRANKmatch")`: Returns the consensus sequence.
bcrankScore
  `signature(object = "BCRANKmatch")`: Returns the bcrank score.
matchVector
  `signature(object = "BCRANKmatch")`: Returns a vector with 0's (no match) and 1's (match) of same length and order as the ranked DNA sequences.

### Author(s)

Adam Ameur, adam.ameur@lcb.uu.se

### See Also

`bcrank`, `BCRANKsearch-class`

[Package BCRANK version 1.4.1 Index]